Debian package: Add support for xulrunner 28
authorAxel Beckert <abe@deuxchevaux.org>
Wed, 15 Jan 2014 20:34:58 +0000 (15 21:34 +0100)
committerAxel Beckert <abe@deuxchevaux.org>
Wed, 15 Jan 2014 20:36:04 +0000 (15 21:36 +0100)
Also bump upstream version in changelog.

debian/bin/conkeror
debian/changelog
debian/control

index ad24f91..c1c57ee 100644 (file)
@@ -5,7 +5,7 @@
 # Find an appropriate xulrunner binary
 XULRUNNER=''
 # Due to http://bugs.debian.org/683157 we currently have to skip xulrunner-14.0
-for version in `LC_ALL=C seq 27 -1 15` `LC_ALL=C seq 13 -1 5` 2 1.9.2 1.9.1; do
+for version in `LC_ALL=C seq 28 -1 15` `LC_ALL=C seq 13 -1 5` 2 1.9.2 1.9.1; do
     for subversion in $version $version.0; do
         XRTMP=`which xulrunner-$subversion`
         if [ -n "$XRTMP" -a -x "$XRTMP" ]; then
index 1f34827..5ec00e5 100644 (file)
@@ -1,5 +1,7 @@
-conkeror (1.0~~pre+git131116-2) UNRELEASED; urgency=low
+conkeror (1.0~~pre+git140115-1) UNRELEASED; urgency=low
 
+  * New upstream snapshot
+  * Add support for xulrunner 28.
   * Reformat debian/control in wrap-and-sort style.
   * Bump Standards-Version to 3.9.5 (no changes).
 
index 09af626..9988625 100644 (file)
@@ -13,6 +13,7 @@ Package: conkeror
 Architecture: all
 Depends: ${misc:Depends},
          xulrunner-24.0  |
+         xulrunner-28    |
          xulrunner-27    |
          xulrunner-26.0  |
          xulrunner-25.0  |